%define module  license-expression
%define pypi_name license_expression

Name:           python-%{module}
Version:        30.4.0
Release:        %mkrel 1
Group:          Development/Python
Summary:        Library to parse, compare, simplify and normalize license expressions
# `irc-notify.py` in the tarball is licensed under GPL, but not re-distributed
License:        ASL 2.0
URL:            https://github.com/nexB/license-expression/
Source0:        %{pypi_source license_expression}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(boolean-py)
BuildRequires:  python3dist(setuptools-scm[toml])

%description
This module defines a mini language to parse, validate, simplify, normalize and
compare license expressions using a boolean logic engine.

This supports SPDX license expressions and also accepts other license naming
conventions and license identifiers aliases to resolve and normalize licenses.

Using boolean logic, license expressions can be tested for equality,
containment, equivalence and can be normalized or simplified.

%package -n     python3-%{module}
Summary:        Library to parse, compare, simplify and normalize license expressions
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
This module defines a mini language to parse, validate, simplify, normalize and
compare license expressions using a boolean logic engine.

This supports SPDX license expressions and also accepts other license naming
conventions and license identifiers aliases to resolve and normalize licenses.

Using boolean logic, license expressions can be tested for equality,
containment, equivalence and can be normalized or simplified.

%prep
%autosetup -n %{pypi_name}-%{version}

rm PKG-INFO
# Set fallback_version
sed -i 's/^fallback_version.*/fallback_version = "%{version}"/' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files license_expression

%check
%pytest

%files -n python3-%{module} -f %{pyproject_files}
%license apache-2.0.LICENSE NOTICE
%doc README.rst


%changelog
* Mon Oct 28 2024 daviddavid <daviddavid> 30.4.0-1.mga10
+ Revision: 2111584
- new version: 30.4.0

* Sun Aug 18 2024 daviddavid <daviddavid> 30.3.1-1.mga10
+ Revision: 2086900
- new version: 30.3.1

* Thu Mar 21 2024 daviddavid <daviddavid> 30.3.0-1.mga10
+ Revision: 2051144
- new version: 30.3.0

* Wed Dec 27 2023 daviddavid <daviddavid> 30.2.0-1.mga10
+ Revision: 2022031
- new version: 30.2.0

* Thu Aug 31 2023 daviddavid <daviddavid> 30.1.1-1.mga10
+ Revision: 1982819
- new version: 30.1.1

* Mon Jan 23 2023 daviddavid <daviddavid> 30.1.0-1.mga9
+ Revision: 1935169
- new version: 30.1.0

* Fri Jan 06 2023 wally <wally> 30.0.0-2.mga9
+ Revision: 1930579
- rebuild for proper python3dist version info

* Tue Dec 06 2022 daviddavid <daviddavid> 30.0.0-1.mga9
+ Revision: 1918673
- initial package python-license-expression (needed for reuse)

